TTF_GetFontFamilyName(3)

NAME
TTF_GetFontFamilyName - Query a font's family name.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

const char * TTF_GetFontFamilyName(const TTF_Font *font);

DESCRIPTION
This string is dictated by the contents of the font file.

Note that the returned string is to internal storage, and should not be modified or free'd by the caller. The string becomes invalid, with the rest of the font, when font is handed to TTF_CloseFont ().

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
Returns the font's family name.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.